## org.apache.solr.client.solrj.response
Class FacetField.Count

    java.lang.Object
      org.apache.solr.client.solrj.response.FacetField.Count

All Implemented Interfaces:
  Serializable

Enclosing class:
  FacetField

    public static class FacetField.Count

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`FacetField.Count(FacetField ff, String n, long c)`

Method Summary
`String` `getAsFilterQuery()`
`long` `getCount()`
`FacetField` `getFacetField()`
`String` `getName()`
`void` `setCount(long c)`
`void` `setName(String n)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetField.Count

    public FacetField.Count(FacetField ff,
                            String n,
                            long c)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String n)

### getCount

    public long getCount()

### setCount

    public void setCount(long c)

### getFacetField

    public FacetField getFacetField()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getAsFilterQuery

    public String getAsFilterQuery()

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.